Subject: Re: bug#12814: 24.3.50; Emacs crash in event_to_kboard at keyboard.c:3421

From: Tassilo Horn <[email-masked]>
Date: Tue, 06 Nov 2012 19:11:27 +0100

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> The crash occured again.  This time, I think it was during "normal"
>> typing, i.e., no DEL.  The (almost identical) backtrace is attached.
>> 
>> Program received signal SIGSEGV, Segmentation fault.
>> 0x0000000000544498 in event_to_kboard (event=0xbe9ee0 <kbd_buffer+189056>)
>>     at keyboard.c:3421
>> warning: Source file is more recent than executable.
>
> Given these repeated warnings, I'm not sure your backtrace is reliable
> enough to be used for looking into the problem.  Please consider
> rebuilding Emacs.

I had 2 other crashes with a rebuilt emacs, but they are completely
identical with respect to frames and line numbers.

>> 3421	  if (WINDOWP (obj))
>
> What is 'obj' here?  Why does it cause a segfault?

I'll tell you the next time the crash occurs.  Shouldn't take too long.

Bye,
Tassilo